GET/rate-cards/{rateCardId}
Returns one rate card with its minimums, rates and reset definitions, plus the owner it belongs to;
exactly one of owner.resourceTypeId and owner.providerOfferingId is set. The rate card id comes from
ResourceTypes_GetTypeRateCards. Requires ResourceTypeDatabase.Read.
Path Parameters
| Field | Type | Required | Description |
|---|
| rateCardId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| costMinimumAmount | number| null | |
| chargeMinimumAmount | number| null | |
| costMinimumUnits | number| null | |
| chargeMinimumUnits | number| null | |
| minimumUnitsPeriod | string| null | |
| periodResetDefinitionId | uuid| null | |
| minimumAmountResetDefinitionId | uuid| null | |
| minimumUnitsResetDefinitionId | uuid| null | |
| rateCount | integer | |
| rates | GetRateCardResponseRateDetail[]| null | |
| resetDefinitions | GetRateCardResponseResetDefinitionDetail[]| null | |
| owner | GetRateCardResponseOwnerInfo | |
GetRateCardResponseRateDetail
| Field | Type | Description |
|---|
| id | uuid | |
| resourceStateId | uuid | |
| stateName | string| null | |
| stateColor | string| null | |
| stateIcon | string| null | |
| period | string| null | |
| costFixed | number | |
| costVariable | number | |
| chargeFixed | number | |
| chargeVariable | number | |
| coversHours | number| null | |
| costMinimumBillableUnits | number| null | |
| chargeMinimumBillableUnits | number| null | |
| resetDefinitionId | uuid| null | |
GetRateCardResponseResetDefinitionDetail
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| resetType | string| null | |
| blockTypeId | uuid| null | |
| blockTypeName | string| null | |
| minDuration | number| null | |
| durationUnit | string| null | |
| period | string| null | |
| periodStartDay | string| null | |
GetRateCardResponseOwnerInfo
| Field | Type | Description |
|---|
| resourceTypeId | uuid| null | |
| providerOfferingId | uuid| null | |
| name | string| null | |
| trackingType | string| null | |